org.apache.cassandra.transport.messages

## Class AuthSuccess

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.AuthSuccess

-     public class AuthSuccess
      extends Message.Response

  Indicates to the client that authentication has succeeded. Optionally ships some final informations from the server (as mandated by SASL).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message.Codec<AuthSuccess>` | `codec`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Response

      `tracingId, warnings`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthSuccess(byte[] token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getToken()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Response

      `getTracingId, getWarnings, setTracingId, setWarnings`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final Message.Codec<AuthSuccess> codec

  - ### Constructor Detail

    - #### AuthSuccess

          public AuthSuccess(byte[] token)

  - ### Method Detail

    - #### getToken

          public byte[] getToken()

Copyright © 2018 The Apache Software Foundation